// File: statistics.cc
//
// Time-stamp: <2008-07-19 00:14:28 haog>
// Author: Guohua Hao <haog@eecs.oregonstate.edu>
//
// Copyright (C) 2008 Guohua Hao
// All Rights Reserved.
//
// Description: implementation of Statistics class.
//
//////////////////////////////////////////////////////////////////////

#include <cstdio>
#include "statistics.h"

namespace treecrf {

// display statistics on stdout
void Statistics::Show(int iter, double iter_time, double cum_time) {
  using namespace std;
  printf("Iter  IterTime CumTime  Sequence %%   Item %%\n");
  printf("%3d  %8.2f   %8.2f    %5.2f   %5.2f   STATS\n",
	 iter,
	 iter_time,
	 cum_time,
	 100.0 * (1.0 -  ((float) wordErrors / (float) words)),
	 100.0 * (1.0 -  ((float) letterErrors / (float) letters)));
}

} // namespace treecrf

//////////////////////////////////////////////////////////////////////
