// File: statistics.h
//
// Time-stamp: <2008-07-18 19:13:51 haog>
// Author: Guohua Hao <haog@eecs.oregonstate.edu>
//
// Copyright (C) 2008 Guohua Hao
// All Rights Reserved.
//
// Description: a class for corpus statistics
//
//////////////////////////////////////////////////////////////////////

#ifndef _STATISTICS_H_
#define _STATISTICS_H_

namespace treecrf {

class Statistics {
 public:
  Statistics(): words(0), letters(0), wordErrors(0), letterErrors(0) {};

  void Show(int iter, double iter_time, double cum_time);

  // Data fields
  int words;
  int letters;
  int wordErrors;
  int letterErrors;
  int phonemeErrors;
  int stressErrors;
};

} // namespace treecrf

#endif  // _STATISTICS_H_
//////////////////////////////////////////////////////////////////////
